var SelectFile = function()
{
	var selectfile = {};
	var debug = 0;

	// Page initialization
	selectfile.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		
		Events.addEventHandler('rnaFile', 'change', selectfile.readFile);
	}

	selectfile.readFile = function()
	{
		var frm = document.forms['reggie'];
		var file = frm.rnaFile.files[0];

		Wizard.showLoadingAnimation('Loading RNA from file \'' + Strings.encodeTags(file.name) + '\'...');

		var reader = new FileReader();
		reader.onload = selectfile.rnaFileLoaded;
		reader.readAsText(file);
	}

	selectfile.rnaFileLoaded = function(event)
	{
		try
		{
			window.opener.SelectRna.parseRnaFile(event.target.result);
			Wizard.hideWizardStatus();
			window.close();
		}
		catch (ex)
		{
			Wizard.setWizardStatus('messagecontainer error', ex);
		}
	}

	return selectfile;
}();

Doc.onLoad(SelectFile.initPage);

